<?php

namespace Wsdl2Php\StructType;

use \Wsdl2Php\PackageBase\AbstractStructBase;

/**
 * This class stands for GetStartAutomatism StructType
 * @subpackage Structs
 */
class GetStartAutomatism extends AbstractStructBase
{
    /**
     * The SpecialParamList
     * @var \Wsdl2Php\StructType\SpecialParamListType
     */
    public $SpecialParamList;
    /**
     * Constructor method for GetStartAutomatism
     * @uses GetStartAutomatism::setSpecialParamList()
     * @param \Wsdl2Php\StructType\SpecialParamListType $specialParamList
     */
    public function __construct(\Wsdl2Php\StructType\SpecialParamListType $specialParamList = null)
    {
        $this
            ->setSpecialParamList($specialParamList);
    }
    /**
     * Get SpecialParamList value
     * @return \Wsdl2Php\StructType\SpecialParamListType|null
     */
    public function getSpecialParamList()
    {
        return $this->SpecialParamList;
    }
    /**
     * Set SpecialParamList value
     * @param \Wsdl2Php\StructType\SpecialParamListType $specialParamList
     * @return \Wsdl2Php\StructType\GetStartAutomatism
     */
    public function setSpecialParamList(\Wsdl2Php\StructType\SpecialParamListType $specialParamList = null)
    {
        $this->SpecialParamList = $specialParamList;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Wsdl2Php\StructType\GetStartAutomatism
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
